Subject: Re: [PATCH] net/ieee802154/6lowpan: Fix initialization for fragment offset

From: Alan Ott <[email-masked]>
Date: Wed, 13 Mar 2013 11:45:42 -0400

On 03/13/2013 10:40 AM, Wolf-Bastian Pöttner wrote:
> Nope. The patch fixes a problem in code that is not in mainline yet. However, people on the linux-zigbee mailing list found it a good idea to commit this change to mainline to avoid the problem from arising.
>
> I see, you disagree. Nevermind. ;)

Hi David,

This is my fault. I must have been looking the wrong tree when I
recommended a push to mainline.

Sorry for the noise.

Alan.

> Am 13.03.2013 um 15:38 schrieb David Miller <davem-fT/PcQaiUtIeIZ0/[email-masked]>:
>> > From: Wolf-Bastian Pöttner <[email-masked]>
>> > Date: Wed, 13 Mar 2013 08:50:54 +0100
>> > 
>>> >> offset has to be initialized, otherwise the *first* fragment will
>>> >> be discarded and reassembly cannot happen.
>>> >> 
>>> >> Reviewed-by: Alan Ott <[email-masked]>
>> > 
>> > 'offset' is never used unless lowpan_fetch_skb_u8(skb, &offset)
>> > succeeds, in which case it will be initialized properly.  Otherwise we
>> > unlock and drop the SKB and make no references whatsoever to 'offset'.
>> > 
>> > I suspect you saw some compiler warning about 'offset' being
>> > uninitialized, and are just blindly trying to shut this warning up.
>

------------------------------------------------------------------------------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_mar

_______________________________________________
Linux-zigbee-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/linux-zigbee-devel